public sealed class FutureReservationsAggregatedListResponse : IMessage<FutureReservationsAggregatedListResponse>, IEquatable<FutureReservationsAggregatedListResponse>, IDeepCloneable<FutureReservationsAggregatedListResponse>, IBufferMessage, IMessage, IPageResponse<KeyValuePair<string, FutureReservationsScopedList>>, IEnumerable<KeyValuePair<string, FutureReservationsScopedList>>, IEnumerableReference documentation and code samples for the Compute Engine v1 API class FutureReservationsAggregatedListResponse.
Contains a list of future reservations.
Implements
IMessageFutureReservationsAggregatedListResponse, IEquatableFutureReservationsAggregatedListResponse, IDeepCloneableFutureReservationsAggregatedListResponse, IBufferMessage, IMessage, IPageResponseKeyValuePairstringFutureReservationsScopedList, IEnumerableKeyValuePairstringFutureReservationsScopedList, IEnumerableNamespace
Google.Cloud.Compute.V1Assembly
Google.Cloud.Compute.V1.dll
Constructors
FutureReservationsAggregatedListResponse()
public FutureReservationsAggregatedListResponse()FutureReservationsAggregatedListResponse(FutureReservationsAggregatedListResponse)
public FutureReservationsAggregatedListResponse(FutureReservationsAggregatedListResponse other)| Parameter | |
|---|---|
| Name | Description |
other |
FutureReservationsAggregatedListResponse |
Properties
Etag
public string Etag { get; set; }| Property Value | |
|---|---|
| Type | Description |
string |
|
HasEtag
public bool HasEtag { get; }Gets whether the "etag" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasId
public bool HasId { get; }Gets whether the "id" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasKind
public bool HasKind { get; }Gets whether the "kind" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasNextPageToken
public bool HasNextPageToken { get; }Gets whether the "next_page_token" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSelfLink
public bool HasSelfLink { get; }Gets whether the "self_link" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
Id
public string Id { get; set; }[Output Only] Unique identifier for the resource; defined by the server.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Items
public MapField<string, FutureReservationsScopedList> Items { get; }A list of Future reservation resources.
| Property Value | |
|---|---|
| Type | Description |
MapFieldstringFutureReservationsScopedList |
|
Kind
public string Kind { get; set; }Output only. [Output Only] Type of resource. Alwayscompute#futureReservationsAggregatedListResponse for future resevation aggregated list response.
| Property Value | |
|---|---|
| Type | Description |
string |
|
NextPageToken
public string NextPageToken { get; set; }[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SelfLink
public string SelfLink { get; set; }Output only. [Output Only] Server-defined URL for this resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Unreachables
public RepeatedField<string> Unreachables { get; }Output only. [Output Only] Unreachable resources.
| Property Value | |
|---|---|
| Type | Description |
RepeatedFieldstring |
|
Warning
public Warning Warning { get; set; }[Output Only] Informational warning message.
| Property Value | |
|---|---|
| Type | Description |
Warning |
|
Methods
GetEnumerator()
public IEnumerator<KeyValuePair<string, FutureReservationsScopedList>> GetEnumerator()Returns an enumerator that iterates through the resources in this response.
| Returns | |
|---|---|
| Type | Description |
IEnumeratorKeyValuePairstringFutureReservationsScopedList |
|